Name:           sysprof
Version:        3.38.1
Release:        2
Summary:        A system-wide Linux profiler
License:        GPLv3+
URL:            http://www.sysprof.com
Source0:        https://download.gnome.org/sources/sysprof/3.38/sysprof-%{version}.tar.xz

BuildRequires:  gcc gcc-c++ gettext itstool meson glib2-devel >= 2.61.3 pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires:	libdazzle-devel systemd-devel polkit-devel libappstream-glib desktop-file-utils

Requires:       glib2 >= 2.61.3 hicolor-icon-theme %{name}-cli = %{version}-%{release}
Requires:       libsysprof-ui = %{version}-%{release}

%description
Sysprof is a sampling CPU profiler for Linux that collects accurate.

%package        cli
Summary:        Sysprof command line utility
# sysprofd needs turbostat
Requires:       kernel-tools

%description    cli
The %{name}-cli package contains the sysprof-cli command line utility.

%package     -n libsysprof-ui
Summary:        Sysprof UI library
BuildRequires:  gtk3-devel >= 3.22.0

%description -n libsysprof-ui
The libsysprof-ui package contains the Sysprof UI library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%license COPYING
%doc NEWS AUTHORS
%{_bindir}/sysprof
%{_datadir}/applications/org.gnome.Sysprof3.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.sysprof3.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/metainfo/org.gnome.Sysprof3.appdata.xml
%{_datadir}/mime/packages/sysprof-mime.xml

%files cli -f %{name}.lang
%license COPYING
%{_bindir}/sysprof-cli
%{_libdir}/libsysprof-4.so
%{_libdir}/libsysprof-memory-4.so
%{_libdir}/libsysprof-speedtrack-4.so
%{_libexecdir}/sysprofd
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof2.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Service.xml
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof2.conf
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof3.conf
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof2.service
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof3.service
%{_datadir}/polkit-1/actions/org.gnome.sysprof3.policy
%{_unitdir}/sysprof2.service
%{_unitdir}/sysprof3.service

%files -n libsysprof-ui
%license COPYING
%{_libdir}/libsysprof-ui-4.so

%files devel
%{_includedir}/sysprof-4/
%{_libdir}/pkgconfig/sysprof-4.pc
%{_libdir}/pkgconfig/sysprof-capture-4.pc
%{_libdir}/pkgconfig/sysprof-ui-4.pc
%{_libdir}/libsysprof-capture-4.a

%files help
%doc README.md

%changelog
* Tue Jul 20 2021 hanhui<hanhui15@huawei.com> - 3.38.1-2
- delete rely on low version of the file

* Mon Nov 09 2020 chengguipeng<chengguipeng1@huawei.com> - 3.38.1-1
- upgrade to 3.38.1

* Sat Sep 19 2020 chengguipeng<chengguipeng1@huawei.com> - 3.36.0-1
- Package init 
